/*******************************************************************
 *
 *		blueTicTacToe
 *		(C) 2003 - Thomas Unterthiner
 *
 *		a classic TicTacToe-Game
 *
 *******************************************************************
 *
 *	main.cpp
 *	main execution Code
 *
 *******************************************************************
 *
 *	This program is free software; you can redistribute it and/or 
 *	modify it under the terms of the GNU General Public License as 
 *	published by the Free Software Foundation; either version 2 of 
 *	the License, or (at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public 
 *	License along with this program; if not, write to the 
 *
 *	Free Software Foundation, Inc.,
 *	59 Temple Place,Suite 330,
 *	Boston, MA 02111-1307,
 *	USA
 *
 *******************************************************************/

#include "CTicTacToe.h"

#include <iostream>
using namespace std;

int main()
{
	cout << "-------------------------------------------------------------\n";
	cout << "            blueTicTacToe, (C) 2003 Thomas Unterthiner       \n";
	cout << "-------------------------------------------------------------\n\n";
	cout << '\n';
	cout << "please note:                        "	<< '\n';
	cout << "------------                        "	<< '\n';
	cout << "blueTicTacToe comes with ABSOLUTELY "	<< '\n';
	cout << "NO WARRANTY! This is free software, "	<< '\n';
	cout << "and you are welcome to redistribute "	<< '\n';
	cout << "it under the conditions of the GPL. "	<< '\n';
	cout << "Read the 'license.txt' for details! "	<< '\n';
	cout << "----------------------------------- "	<< '\n';
	cout << '\n';
	cout << '\n';

	cout << "The game is simple: win by being the first make a line \n";
	cout << "(doesn't matter if horizontal, vertical or diagonal) with \n";
	cout << "your sign! \n";
	cout << "Every time the game asks you to do so, say where on the \n";
	cout << "3x3 Grid you want to make your sign. The game'll ask you \n";
	cout << "in which row & in which column you want to put it. \n";
	cout << '\n';
	cout << '\n';
	cout << '\n';


	short GamesCount=0;
	for (bool PlayAgain=true; PlayAgain; ++GamesCount)
	{
		unsigned short GridSideLength;
		cout << "How many elements shall a side of the gamegrid have: ";
		cin >> GridSideLength;
		
		while (GridSideLength < 3)
		{
			cout << "sorry, but that's to small... choose again plz: ";
			cin >> GridSideLength;
		}


		CTicTacToe Game(GridSideLength);
		Game.play();

		cout << "Want to play again? (1 = yes | 0 = no)";
		cin >> PlayAgain;
	}


	cout << "--------------------------------------------------------------- \n";
	cout << '\n';
	cout << "you've played " << GamesCount << " games of blueTicTacToe \n";
	cout << '\n';
	cout << '\n';
	cout << "thx 4 playing blueTicTacToe!! :-) ... see you in space, cowboy! \n";
	cout << "(press ENTER to exit)" << endl;
	
	// wait for ENTER to be pressed
	cin.clear ();
	cin.ignore(std::cin.rdbuf () -> in_avail() );	// ignores possible remaining Buffer-Content
	cin.get();

	return 0;
}
